Page MenuHomePhabricator

[SimplifyCFG] remove bogus test case; NFC
ClosedPublic

Authored by shawnl on Apr 18 2019, 2:40 AM.

Details

Summary

Even if one bit is defined, the code is not clear what it is suppose to do.

See 41530

Diff Detail

Repository
rL LLVM

Event Timeline

shawnl created this revision.Apr 18 2019, 2:40 AM
Herald added a project: Restricted Project. · View Herald TranscriptApr 18 2019, 2:40 AM
nikic added a subscriber: reames.

Patch doesn't seem to be against master, here's how the test looks right now: https://github.com/llvm-mirror/llvm/blob/master/test/Transforms/SimplifyCFG/switch-dead-default.ll#L160

In any case, agree that the test doesn't make sense and we should drop it. The test wants to assert that some bits are undef, but that's not what the IR does and I don't think it's even possible to do that in any meaningful way. It was added in D12497, so @reames might want to double check.

@reames Do you have any objection to removing this test?

@reames Any final comments?

reames added a comment.Jun 3 2019, 2:59 PM

@reames Any final comments?

None, feel free to kill it.

RKSimon accepted this revision.Jun 4 2019, 1:16 AM

@reames Any final comments?

None, feel free to kill it.

Thanks - LGTM

This revision is now accepted and ready to land.Jun 4 2019, 1:16 AM
This revision was automatically updated to reflect the committed changes.

Most bots on the waterfall are unhappy after this, e.g. http://lab.llvm.org:8011/builders/clang-atom-d525-fedora-rel/builds/25030/steps/ninja%20check%201/logs/FAIL%3A%20LLVM%3A%3Aswitch-dead-default.ll -- can you fix quickly, or if it takes a while revert?

nikic added a comment.Jun 4 2019, 8:57 AM

@thakis Looks like it got fixed in rL362501.